#ifndef __TSCOMMUNICATION_H__
#define __TSCOMMUNICATION_H__

#include "postgres.h"
#include "tsvector.h"

#define TSD_OK          0
#define TSD_VOIDQUERY   1
#define TSD_ERRORQUERY  2
#define TSD_NOTQUERY    3  
#define TSD_UNKOWNERROR	4 

#define TSEARCHD_PORT   (DEF_PGPORT + 1)
                
#define  TSM_QUERY      0xCA11
#define  TSM_PUT        0xA100F
#define  TSM_BULKPUT    0xFADEFACE
#define  TSM_FLUSH      0xDEADB0FF

typedef struct {
	int32_t		id;
	tsvector 	data[1];
} TSIndexData;

typedef struct {
	int32_t         status;
        u_int32_t       num;
        int32_t         id[1];
} WordData;

#define WDHRDRSZ      ( sizeof(u_int32_t ) + sizeof(int32_t) )

#endif

